
extern void print(char *ptr);

#include "mpc555.h"
#include "tpu_dio.h"
#include "mpc500_util.h"

int main() {

     struct TPU3_tag *tpua = &TPU_A;   /* pointer for TPU routines */
     unsigned long delaycount;
    
     print("\nsetting up TPU\n");

    /* Initialize channel:                          */
    /*    -Use channel 2                            */
    /*    -Inital state is low                      */
    /*    -Schedule as high priority in the TPU     */
    tpu_dio_init_output(tpua, 2, TPU_PRIORITY_HIGH, TPU_DIO_PIN_LOW);
    
    /* toggle output pin once */
    tpu_dio_output(tpua, 2, TPU_DIO_PIN_HIGH);
    tpu_dio_output(tpua, 2, TPU_DIO_PIN_LOW);

     print("\ndone setting up TPU\n");
    
    /* toggle output pin */
    while (1){
        print("\ngoing hi\n");
        tpu_dio_output_high(tpua, 2);
        delaycount=0;
        do{
                delaycount++;
        }while(delaycount < 3000000);
        print("\ngoing low\n");
        tpu_dio_output_low(tpua, 2);
        delaycount=0;
        do{
                delaycount++;
        }while(delaycount < 3000000);
    }
}

