
extern void print(char *ptr);

#include "mpc555.h"
#include "tpu_dio.h"
#include "mpc500_util.h"

int main() {

UINT16 pin;     /* current pin state in MSB */

     struct TPU3_tag *tpua = &TPU_A;   /* pointer for TPU routines */
     unsigned long delaycount;
    
    /* Initialize channel:                          */
    /*    -Use channel 2                            */
    /*    -Schedule as high priority in the TPU     */
    tpu_dio_init_input_immed(tpua, 1, TPU_PRIORITY_HIGH);
    
    /* get current pin state */
    while (1){
        pin = tpu_dio_input_immed(tpua, 1);
	if (pin & (1 << 15)) {
          print("\nhi\n");
	}
	else {
	  print("\nlo\n");
	}
        delaycount=0;
        do{
                delaycount++;
        }while(delaycount < 500000);
    }
}


