
extern void print(char *ptr);
extern void itoa(unsigned long n, char *s);

#include "mpc555.h"
#include "tpu_fqd.h"
#include "mpc500_util.h"

int main() {

     struct TPU3_tag *tpua = &TPU_A;   /* pointer for TPU routines */
     unsigned long delaycount;
     signed long position;
     char str[50];

    /* Initialize quadrature input function with:   */
    /*    -Input signal on TPU A channel 1 and 2    */
    /*     (note: you just supply the lower
                  (which is primary) channel)       */
    /*    -Inital count value of $0000              */
    /*    -Schedule as high priority in the TPU     */
    tpu_fqd_init( tpua,1 , TPU_PRIORITY_HIGH, 0x0000);
    
    while (1) {
        position = tpu_fqd_position( tpua,1 );
        itoa(position,str);
	print("Current position: ");
	print(str);
	print("\n");
        delaycount=0;
        do{
                delaycount++;
        }while(delaycount < 50000);
    }
}


